Bug 4685 - can't access to mounted FAT32 partitions via samba 3.0.25a on freebsd 6.1 box
can't access to mounted FAT32 partitions via samba 3.0.25a on freebsd 6.1 box
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.25
x86 FreeBSD
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 12:53 UTC by paul a. goloborod'ko
Modified: 2009-01-25 14:04 UTC (History)
1 user (show)

See Also:


Attachments
log-file (379.09 KB, application/octet-stream)
2007-06-09 12:54 UTC, paul a. goloborod'ko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description paul a. goloborod'ko 2007-06-09 12:53:11 UTC
I upgraded samba from 3.0.22 to 3.0.25a and now can't access mounted FAT32 partitions via samba.

# Samba config file created using SWAT
# from 172.16.61.78 (172.16.61.78)
# Date: 2007/06/09 21:39:22

[global]
	dos charset = CP866
	unix charset = KOI8-R
	workgroup = ALFA
	server string = 
	interfaces = rl0
	map to guest = Bad User
	null passwords = Yes
	guest account = guest
	log level = 10
	log file = /var/log/samba.log
	name resolve order = wins hosts lmhosts
	load printers = No
	os level = 2
	preferred master = No
	local master = No
	domain master = No
	wins server = 172.16.0.1
	ldap ssl = no
	guest ok = Yes

[media]
	path = /var/samba/media

log file there: http://aviatrance.org.ru/temp/samba.log
Comment 1 paul a. goloborod'ko 2007-06-09 12:54:01 UTC
Created attachment 2743 [details]
log-file
Comment 2 feffer777@yahoo.com 2008-02-11 01:22:41 UTC
I also experienced this problem. Using a Fat32 share from a debian sid distro (sidux) running samba 3.0.28, I'm unable to write to the share from a Mac OS 10.5.1 machine. Earlier versions of samba (3.0.24 and earlier) worked ok. I can still rw to ext3 shares from sidux. Info on the Mac shows that user and group have rw perms. Also, from the CLI, it is possible to write to this share from the Mac. The GUI denies writes, however. Interestingly, files can be deleted from the GUI.
Comment 3 Volker Lendecke 2009-01-25 14:04:40 UTC
Closing, according to timur this is fixed as of 6.4-release and 7.1 release
Comment 4 Volker Lendecke 2009-01-25 14:04:53 UTC
Closing, according to timur this is fixed as of 6.4-release and 7.1 release